Package ru.bitel.bgbilling.plugins.assistant.server.event

# Class AssistantActionsListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.assistant.server.event.AssistantActionsListEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class AssistantActionsListEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistantActionsListEvent​(int contractId, java.util.List<AssistantActionItem> assistantActionItems)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getActionsContractId()` |
  `java.util.List<AssistantActionItem>` | `getAssistantActionItems()` |
  `void` | `setAssistantActionItems​(java.util.List<AssistantActionItem> assistantActionItems)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssistantActionsListEvent

    public AssistantActionsListEvent​(int contractId, java.util.List<AssistantActionItem> assistantActionItems)

- ## Method Details

  - ### getAssistantActionItems

    public java.util.List<AssistantActionItem> getAssistantActionItems()

  - ### setAssistantActionItems

    public void setAssistantActionItems​(java.util.List<AssistantActionItem> assistantActionItems)

  - ### getActionsContractId

    public int getActionsContractId()